com.smartgwt.client.util.workflow

## Class GridSetEditValueTask

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.util.workflow.ProcessElement
    - - com.smartgwt.client.util.workflow.ComponentTask
      - - com.smartgwt.client.util.workflow.GridSetEditValueTask

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class GridSetEditValueTask
      extends ComponentTask

  Sets the edit value of a given field. The targeted row is determined in the following order:
  1. the current edit row
  2. the first selected row
  3. the first row in the grid
  4. a new edit row
  See Also:
    `ListGrid.setEditValue(int, int, java.lang.Object)`

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridSetEditValueTask()`
    `GridSetEditValueTask(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `static GridSetEditValueTask` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Integer` | `getTargetField()` Target field in current edit row to be updated
    `java.lang.String` | `getTargetFieldAsString()` Target field in current edit row to be updated
    `GridSetEditValueTask` | `setTargetField(java.lang.Integer targetField)` Target field in current edit row to be updated
    `GridSetEditValueTask` | `setTargetField(java.lang.String targetField)` Target field in current edit row to be updated

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ComponentTask

      `getComponentBaseClass, getComponentBaseClassAsStringArray, getComponentId, getComponentRequiresDataSource, setComponentBaseClass, setComponentBaseClass, setComponentId, setComponentRequiresDataSource`

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

      `convertToJavaScriptArray, getClassDescription, getDescription, getEditorType, getElementDescription, getID, getJsObj, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getTitle, isCreated, onInit, setAttribute, setClassDescription, setDescription, setEditorType, setID, setJavaScriptObject, setNextElement, setPassThruOutput, setTitle`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GridSetEditValueTask

          public GridSetEditValueTask()

    - #### GridSetEditValueTask

          public GridSetEditValueTask(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static GridSetEditValueTask getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `ComponentTask`

    - #### setTargetField

          public GridSetEditValueTask setTargetField(java.lang.Integer targetField)
                                              throws java.lang.IllegalStateException

      Target field in current edit row to be updated
      Parameters:
        `targetField` - New targetField value. Default value is null
      Returns:
        `GridSetEditValueTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getTargetField

          public java.lang.Integer getTargetField()

      Target field in current edit row to be updated
      Returns:
        Current targetField value. Default value is null

    - #### setTargetField

          public GridSetEditValueTask setTargetField(java.lang.String targetField)
                                              throws java.lang.IllegalStateException

      Target field in current edit row to be updated
      Parameters:
        `targetField` - New targetField value. Default value is null
      Returns:
        `GridSetEditValueTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getTargetFieldAsString

          public java.lang.String getTargetFieldAsString()

      Target field in current edit row to be updated
      Returns:
        Current targetField value. Default value is null